## gv 3.6.8

=== debian/changelog ===
gv (1:3.6.8-1) unstable; urgency=low

  * new upstream release
  * fix problems with newer install-info
  * bump Standards-Version: no changes needed.
  * install a .desktop file (Closes: 466532)

 -- Bernhard R. Link <brlink@debian.org>  Mon, 04 Jan 2010 18:46:45 +0100

gv (1:3.6.7-1) unstable; urgency=low

  * new upstream release
  - better error message with XUSERFILESEARCHPATH (Closes: 516995)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 22 Mar 2009 16:13:12 +0100

gv (1:3.6.6.91-1) unstable; urgency=low

  * new upstream release candidate
  * upload to unstable (closes: 500300)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 15 Feb 2009 12:14:41 +0100

gv (1:3.6.6.90-1) experimental; urgency=low

  * new upstream pre-release
  - fix table of contents and file open lists to support more entries
    (Closes: 105666)
  * drop pre-lenny support (and some little cleanups)
  - no longer have alternate dependencies on old gs
  - DEB_BUILD_OPTIONS only space separated
  * add --without-libzio to avoid spurious linking against libz and libbz2

 -- Bernhard R. Link <brlink@debian.org>  Sat, 24 Jan 2009 12:38:06 +0100

gv (1:3.6.5.91-1) experimental; urgency=low

  * new upstream pre-release
  - add alternate page navigation (Closes: 160924)
  - support encrypted pdf files (Closes: 259430)
  - support for files > 2gb (Closes: 497044)

 -- Bernhard R. Link <brlink@debian.org>  Thu, 04 Sep 2008 17:25:46 +0200

gv (1:3.6.5.90-1) experimental; urgency=low

  * new upstream pre-release
  - no longer needs any patches
  - adds some Xinerama support (Closes: 83693)
  - return key scrolls vertically through the document  (Closes: 230297)
  - fix typos in error message (Closes: 494345)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 10 Aug 2008 12:57:29 +0200

gv (1:3.6.5-2) unstable; urgency=low

  * give appdefaultsdir as argument instead of changing Makefile.in
  * add gv-update-userconfig and resource-warning.diff, backporting nicer
    resource error message from upstream's CVS (Closes: 491393)

 -- Bernhard R. Link <brlink@debian.org>  Sun, 20 Jul 2008 15:06:19 +0200

gv (1:3.6.5-1) unstable; urgency=low

  * new upstream release
  - dropped patches as merged upstream:
    commentappdefaults.diff

 -- Bernhard R. Link <brlink@debian.org>  Sat, 05 Jul 2008 20:13:00 +0200

gv (1:3.6.4.90-1) experimental; urgency=low

  * new upstream pre-release
  - dropped patches as merged/superseded upstream:
    26497_widgetless, man-whatis
  - has presentation mode (Closes: 99305)
  - scale to arbitrary size, fit to window, ... (Closes: 142552, 429599)
  - license changed to GPLv3+ :-(
  * remove build-dependency to texinfo
  * update to policy 3.8.0
  * remove obsolete conflicts and replaces
  * make content of app-defaults commented out (commentappdefaults.diff)
  * document new scaling in --help and manpage (scaledoc.diff)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 21 Jun 2008 15:47:34 +0200

gv (1:3.6.4-3) unstable; urgency=low

  * re-add build-dependency to texinfo, as it is still needed.

 -- Bernhard R. Link <brlink@debian.org>  Thu, 05 Jun 2008 11:42:37 +0200

gv (1:3.6.4-2) unstable; urgency=low

  * fix LIBS to be LIBS of minimal libraries installed
  * put libraries already pulled indirectly in build-depends when directly used
  * remove build-dependency to texinfo, as that is no longer patched thus not
    called at build time.

 -- Bernhard R. Link <brlink@debian.org>  Wed, 04 Jun 2008 15:28:22 +0200

gv (1:3.6.4-1) unstable; urgency=low

  * new upstream version
  - no longer need to repack as problematic files are gone
  - dropped patches as merged/superseded upstream:
  05_314947_FTBFS_GNU_kFreeBSD, 201439_escape, 299447and433898-nested-eps,
  95266_filename_as_title, 439067resources, 149032fontsets,
  276639popupwithinscreen, 04_309949_grayscale, no_non_free_stdc_h,
  texinfo-dircategory
  * fix debian/watch: ftp.gnu.org only speaks ftp not http
  * drop patches/configure_drop_libs, use LIBS given to Makefile instead

 -- Bernhard R. Link <brlink@debian.org>  Tue, 03 Jun 2008 10:56:45 +0200

gv (1:3.6.3dfsg-6) unstable; urgency=low

  * remove Vcs-* headers, as Vcs- is not for upstream's vcs.
  * try to keep popup windows within the screen (Closes: 276639)

 -- Bernhard R. Link <brlink@debian.org>  Thu, 06 Dec 2007 19:09:31 +0100

gv (1:3.6.3dfsg-5) unstable; urgency=high

  * depend on new ghostscript-x instead of gs (Closes: 448679)
  * to work around ghostscript providing gs and gs-gpl without
    the full functionality of those packages, the alternative depends
    are versioned on the packages I know of that offered gs. I hope
    noone has another package providing gs around they want to have
    installed exclusively.
  * make Homepage: a proper header, move XS-Vcs to Vcs-

 -- Bernhard R. Link <brlink@debian.org>  Wed, 31 Oct 2007 10:46:14 +0100

gv (1:3.6.3dfsg-4) unstable; urgency=low

  * properly handle FontSets in Vlist.c when International resource is set
    (Closes: 149032)

 -- Bernhard R. Link <brlink@debian.org>  Wed,  3 Oct 2007 14:20:19 +0200

gv (1:3.6.3dfsg-3) unstable; urgency=low

  * don't crash when XUSERFILESEARCHPATH is set (Closes: 439067, 441450)
  * update to new menu policy

 -- Bernhard R. Link <brlink@debian.org>  Mon, 10 Sep 2007 18:32:49 +0200

gv (1:3.6.3dfsg-2) unstable; urgency=low

  * do not mistake %xxxxDocument for %%EndDocument (Closes: 433898)
  * add option to use filename as title (Closes: 95266)
  * add widgetless mode (Closes: 26497)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 28 Jul 2007 17:05:44 +0200

gv (1:3.6.3dfsg-1) unstable; urgency=low

  * new maintainer (Closes: 407666)
  * no longer uses quilt at build time (nor the seperated patches)
  * general clean up (complete debian/copyright, clean up debian/rules, ...)
  * add Vcs-{Browse,CVS} headers
  * new upstream version
  - handle filenames starting with "-" (Closes: 397118)
  - includes fix for CVE-2006-5864 (so droping patches/398292-CVE-2006-5864)

