=== debian/watch ===
# see uscan(1) for format
version=3
opts=passive ftp://ftp.gnu.org/gnu/gv/gv-(.*)\.tar\.gz
# to also get pre-release, add:
# opts=passive ftp://alpha.gnu.org/gnu/gv/gv-(.*)\.tar\.gz
