## gv 3.7.1

=== debian/changelog ===
gv (1:3.7.1-1) unstable; urgency=medium

  * new upstream release
  - incorporates all patches of the previous Debian revision
    and remove the directory hack no longer needed.
  - priority medium as security fixes still not in testing

 -- Bernhard R. Link <brlink@debian.org>  Fri, 11 Jun 2010 13:23:27 +0200

gv (1:3.6.91-1) unstable; urgency=medium

  * new upstream prerelease
  - targeted to unstable as it fixes security bugs:
  - run gs by default in safe directories (Closes: 583316)
  * build-depend on autotools-dev and do the config.{guess,sub}
    dance, as usage of more gnulib now needs those files again.
  * work around Makefile not creating directories recursively by
    creating /usr/share/gv before calling make install

 -- Bernhard R. Link <brlink@debian.org>  Thu, 03 Jun 2010 13:27:24 +0200

gv (1:3.6.90-1) experimental; urgency=low

  * new upstream prerelease (with support for translations)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 15 May 2010 12:20:06 +0200

gv (1:3.6.9-1) unstable; urgency=low

  * new upstream release

 -- Bernhard R. Link <brlink@debian.org>  Mon, 26 Apr 2010 16:30:09 +0200

gv (1:3.6.8.91-1) experimental; urgency=low

  * new upstream prerelease
  * bump Standards-Version

 -- Bernhard R. Link <brlink@debian.org>  Wed, 10 Mar 2010 12:38:37 +0100
