=== debian/control ===
Source: gv
Section: text
Priority: optional
Maintainer: Bernhard R. Link <brlink@debian.org>
Build-Depends: debhelper (>= 5), xaw3dg-dev, libxt-dev, libxmu-dev, libx11-dev, libxinerama-dev, autotools-dev
Standards-Version: 3.8.4
Homepage: http://www.gnu.org/software/gv/
Vcs-Browser: http://git.debian.org/?p=users/brlink/gv.git;a=summary
Vcs-Git: git://git.debian.org/~brlink/gv.git

Package: gv
Architecture: any
Depends: ghostscript-x, ${shlibs:Depends}, ${misc:Depends}
Recommends: xaw3dg (>= 1.5+E-18~)
Provides: postscript-viewer, pdf-viewer
Description: PostScript and PDF viewer for X
 gv is a comfortable viewer of PostScript and PDF files for the X
 Window System. It uses the ghostscript PostScript interpreter
 and is based on the classic X front-end for gs, ghostview, which
 it has replaced now.
