=== debian/rules ===
--- 
+++ 
@@ -26,11 +26,16 @@
 	# run distclean of configure was completed or attempted
 	if [ -f config.status -o -f config.log ] ; then $(MAKE) distclean ; fi
 	test ! -f config.status
+	rm -f config.guess config.sub
 	dh_clean
 	rm -f build-arch-stamp
 
 config.status: configure
 	dh_testdir
+	cp -f /usr/share/misc/config.guess config.guess
+	cp -f /usr/share/misc/config.sub config.sub
+	# touch files to avoid recreating files in case of timestamp issues
+	touch src/gv-i18n.h doc/gv.1
 	./configure --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
 		    $(CONFFLAGS) CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' \
 		    LDFLAGS="-Wl,-z,defs" \
