## gv 3.7.2

=== debian/changelog ===
gv (1:3.7.2-1) unstable; urgency=low

  * new upstream release

 -- Bernhard R. Link <brlink@debian.org>  Sat, 30 Apr 2011 15:24:12 +0200

gv (1:3.7.1.90-1) experimental; urgency=low

  * new upstream pre-version
  - incorprates all patches, so none left
  - update debian/copyright

 -- Bernhard R. Link <brlink@debian.org>  Fri, 22 Apr 2011 16:59:40 +0200

gv (1:3.7.1-3) unstable; urgency=low

  * fix segfault on 64 bit architectures if SSH_CLIENT is set
    (Closes: 618449)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 19 Mar 2011 11:23:04 +0100

gv (1:3.7.1-2) unstable; urgency=low

  * cherry pick a couple of commits from upstream:
  - remove version fields from German translations
  - better error message for incompatible resource versions
  - include frensh and italian translations
  - fix unexpected scrolling of TOC (Closes: 594991)
  - improve remove address detection for aspect ratio
  - don't use apLineDel Keysym (Closes: 613786)
  * bump Standards-Version
  * change debhelper compatibility to 7
  * modernize debian/rules flag handling, use dpkg-buildflags if
    available
  * show beginning instead of end of last error message (Closes: 597080)

 -- Bernhard R. Link <brlink@debian.org>  Thu, 17 Feb 2011 11:08:54 +0100
