=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: optional
 Maintainer: Bernhard R. Link <brlink@debian.org>
-Build-Depends: debhelper (>= 5), xaw3dg-dev, libxt-dev, libxmu-dev, libx11-dev, libxinerama-dev, autotools-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7), xaw3dg-dev, libxt-dev, libxmu-dev, libx11-dev, libxinerama-dev, autotools-dev
+Standards-Version: 3.9.1
 Homepage: http://www.gnu.org/software/gv/
 Vcs-Browser: http://git.debian.org/?p=users/brlink/gv.git;a=summary
 Vcs-Git: git://git.debian.org/~brlink/gv.git
