=== debian/rules ===
--- 
+++ 
@@ -7,23 +7,33 @@
 # some flags need to be given to make:
 DIRFLAGS = appdefaultsdir=/etc/X11/app-defaults sysdocdir=/usr/share/doc
 
-CFLAGS = -Wall -Wmissing-prototypes -g
+ifneq (,$(shell which dpkg-buildflags))
+CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+else
+CFLAGS = -g
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
 	CFLAGS += -O2
 endif
 CPPFLAGS =
+LDFLAGS =
+endif
+
+CFLAGS += -Wall -Wmissing-prototypes -Wshadow
+LDFLAGS += -Wl,-z,defs
 ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
-	CPPFLAGS = -DMESSAGES
+	CPPFLAGS += -DMESSAGES
 endif
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-        PARFLAGS = -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+        MAKEFLAGS += -j$(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
 
 clean:
 	dh_testdir
-	# run distclean of configure was completed or attempted
+	# run distclean if configure was completed or attempted
 	if [ -f config.status -o -f config.log ] ; then $(MAKE) distclean ; fi
 	test ! -f config.status
 	rm -f config.guess config.sub
@@ -38,7 +48,7 @@
 	touch src/gv-i18n.h doc/gv.1
 	./configure --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
 		    $(CONFFLAGS) CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' \
-		    LDFLAGS="-Wl,-z,defs" \
+		    LDFLAGS='$(LDFLAGS)' \
 		    --bindir=/usr/bin --datarootdir=/usr/share \
 		    --mandir=/usr/share/man --infodir=/usr/share/info \
 	|| ( echo configure failed with $$? ; cat config.log ; exit 1 )
@@ -46,15 +56,14 @@
 build-arch: build-arch-stamp
 build-arch-stamp: config.status
 	dh_testdir
-	$(MAKE) $(PARFLAGS) $(DIRFLAGS) \
-		LIBS="-lXaw3d -lXmu -lXt -lX11 -lm -lXinerama"
+	$(MAKE) $(DIRFLAGS) LIBS="-lXaw3d -lXmu -lXt -lX11 -lm -lXinerama"
 	touch $@
 
 binary-arch: build-arch-stamp
 	dh_testdir
 	dh_testroot
-	dh_clean -k
-	$(MAKE) $(PARFLAGS) $(DIRFLAGS) install DESTDIR=${CURDIR}/debian/gv
+	dh_prep
+	$(MAKE) $(DIRFLAGS) install DESTDIR=${CURDIR}/debian/gv
 	dh_install
 	dh_installchangelogs ChangeLog
 	dh_installdocs AUTHORS NEWS README
