## gv 3.7.2.90

=== debian/changelog ===
gv (1:3.7.2.90-1) experimental; urgency=low

  * new upstream pre-release

 -- Bernhard R. Link <brlink@debian.org>  Tue, 04 Oct 2011 17:38:35 +0200

gv (1:3.7.2-2) unstable; urgency=low

  * fix usage of uninitialized paremeter when parsing .ps files, causing
    random misparsings under some conditions (Closes: 627471)
  * bump Standards-Version ti 3.9.2, no changes required

 -- Bernhard R. Link <brlink@debian.org>  Sat, 06 Aug 2011 20:08:56 +0200
