## gv 3.7.3

=== debian/changelog ===
gv (1:3.7.3-1) unstable; urgency=low

  * new upstream release
  * improve gv-update-userconfig manpage (Closes: 647349)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 10 Dec 2011 15:52:02 +0100
