=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Bernhard R. Link <brlink@debian.org>
 Build-Depends: debhelper (>= 7), xaw3dg-dev, libxt-dev, libxmu-dev, libx11-dev, libxinerama-dev, autotools-dev
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.gnu.org/software/gv/
 Vcs-Browser: http://git.debian.org/?p=users/brlink/gv.git;a=summary
 Vcs-Git: git://git.debian.org/~brlink/gv.git
