## gv 3.7.4

=== debian/changelog ===
gv (1:3.7.4-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add "-std=gnu17" to CFLAGS (Closes: #1096792).

 -- Hilmar Preuße <hille42@debian.org>  Thu, 30 Oct 2025 23:42:27 +0100

gv (1:3.7.4-3.1) unstable; urgency=medium

  * Non-maintainer upload.
    - Target latest changes to unstable (Closes: #1056347).
  * Change Dep of ghostscript-x to ghostscript (Closes: #1036873).

 -- Hilmar Preuße <hille42@debian.org>  Fri, 21 Feb 2025 22:19:29 +0100

gv (1:3.7.4-3) experimental; urgency=medium

  * also register application/postscript in gv.mime (Closes: #902141)
  * cherry-pick commits from unreleased upstream:
  - Fix crash in zoom.c (Closes: #824745)
  - Do not segfault on buggy postscript files (Closes: #729618, #924028)

 -- Bernhard R. Link <brlink@debian.org>  Sat, 09 Mar 2019 19:36:40 +0100

gv (1:3.7.4-2) unstable; urgency=medium

  * bump Standards-Version
  * remove outdated Vcs- fields
  * set harding=+all, unconditionally use dpkg-buildflags
  * switch to debhelper 12

 -- Bernhard R. Link <brlink@debian.org>  Sun, 27 Jan 2019 19:09:22 +0100

gv (1:3.7.4-1) unstable; urgency=low

  * new upstream release
  - incorporates the patch for the gv-update-userconfig manpage
  * bump Standards-Version
  * improve Vcs- fields

 -- Bernhard R. Link <brlink@debian.org>  Sat, 31 Aug 2013 17:33:44 +0200

gv (1:3.7.3.90-1) experimental; urgency=low

  * new upstream prerelease
  * Bump Standards-Version
  * avoid entering cross-mode on native builds

 -- Bernhard R. Link <brlink@debian.org>  Sun, 01 Apr 2012 14:45:11 +0200
