=== debian/control ===
Source: gv
Section: text
Priority: optional
Maintainer: Bernhard R. Link <brlink@debian.org>
Build-Depends: debhelper (>= 12), xaw3dg-dev, libxt-dev, libxmu-dev, libx11-dev, libxinerama-dev, autotools-dev
Standards-Version: 4.3.0
Homepage: http://www.gnu.org/software/gv/

Package: gv
Architecture: any
Depends: ghostscript, ${shlibs:Depends}, ${misc:Depends}
Provides: postscript-viewer, pdf-viewer
Description: PostScript and PDF viewer for X
 gv is a comfortable viewer of PostScript and PDF files for the X
 Window System. It uses the ghostscript PostScript interpreter
 and is based on the classic X front-end for gs, ghostview, which
 it has replaced now.
