=== debian/rules ===
--- 
+++ 
@@ -1,28 +1,20 @@
 #!/usr/bin/make -f
 
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_BUILD_MAINT_OPTIONS=hardening=+all
+include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/buildflags.mk
+
+ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
+BUILD_SYSTEM = --build $(DEB_BUILD_GNU_TYPE)
+else
+BUILD_SYSTEM = --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
+endif
 CONFFLAGS = --enable-scrollbar-code --enable-signal-handler --without-libzio \
              --disable-setenv-code --enable-off_t --enable-largefile
 # some flags need to be given to make:
 DIRFLAGS = appdefaultsdir=/etc/X11/app-defaults sysdocdir=/usr/share/doc
 
-ifneq (,$(shell which dpkg-buildflags))
-CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
-CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
-LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
-else
-CFLAGS = -g
-ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -O0
-else
-	CFLAGS += -O2
-endif
-CPPFLAGS =
-LDFLAGS =
-endif
-
-CFLAGS += -Wall -Wmissing-prototypes -Wshadow
+CFLAGS += -Wall -Wmissing-prototypes -Wshadow -std=gnu17
 LDFLAGS += -Wl,-z,defs
 ifneq (,$(filter debug,$(DEB_BUILD_OPTIONS)))
 	CPPFLAGS += -DMESSAGES
@@ -46,7 +38,7 @@
 	cp -f /usr/share/misc/config.sub config.sub
 	# touch files to avoid recreating files in case of timestamp issues
 	touch src/gv-i18n.h doc/gv.1
-	./configure --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) \
+	./configure $(BUILD_SYSTEM) \
 		    $(CONFFLAGS) CFLAGS='$(CFLAGS)' CPPFLAGS='$(CPPFLAGS)' \
 		    LDFLAGS='$(LDFLAGS)' \
 		    --bindir=/usr/bin --datarootdir=/usr/share \
@@ -68,7 +60,6 @@
 	dh_installchangelogs ChangeLog
 	dh_installdocs AUTHORS NEWS README
 	dh_installinfo doc/gv.info
-	dh_installmenu
 	dh_installmime
 	dh_strip
 	dh_compress
